This endpoint is used for all data manipulation with products - creating, updating, removing and also for updating specific values of stocks, prices and mapping to each of the marketplaces
Create a new product
POST
/products
curl \
--request POST 'api.services.omnicado.com/api/v2/products' \
--header "X-OMNICADO-TOKEN: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"productSetId": 42,
"itemgroupId": "string",
"currency": "CZK",
"remoteId": "H839941",
"ean": "0764502620",
"brand": "Amazon",
"isActive": true,
"isAvailable": true,
"vat": 21.0,
"price": {
"sellingPrice": 42.0,
"buyPrice": 42.0,
"forcedPrice": 42.0,
"salePrice": 42.0,
"currency": "CZK",
"strategies": [
{
"remoteId": "H1234443",
"productSetId": 1234,
"pricingStrategy": [
{
"price": 129.0,
"minimalPrice": 99.0,
"currency": "CZK",
"connectorId": "mallCz"
}
]
}
]
},
"images": [
{
"id": 42.0,
"imageType": "basic_image",
"source": "https://image.eshop.cz/1.jpg",
"isMain": false,
"isActive": true,
"ranking": 2
}
],
"categories": [
{
"source": [
{
"title": "Domácnost a zahrada",
"slug": "domacnost-a-zahrada",
"remoteId": 123
}
]
}
],
"translations": [
{
"languageCode": "cs_CZ",
"title": "Produkt v češtině",
"shortDescription": "Popis v češtině",
"description": "Dlouhý popis v češtině",
"keywords": "Klíčová slova v češtině",
"safetyInfo": "Bezpečnostní pokyny v češtině"
}
],
"parameters": [
{
"decidesVariant": true,
"languageCode": "cs_CZ",
"paramName": "Barva",
"paramValues": [
"Černá",
"Fialová"
]
}
],
"stock": [
{
"availableStock": 2.0,
"inOurWarehouseAvailableStock": 3.0,
"realStock": 5.0,
"strategies": [
{
"stock": 4.0,
"connectorId": "mallCz"
}
]
}
],
"deliveryDelay": 42,
"weight": "1.2",
"width": "30.2",
"height": "40.3",
"length": "50.1",
"packageType": "M",
"packageSize": "smallbox"
}'
Request examples
{
"productSetId": 42,
"itemgroupId": "string",
"currency": "CZK",
"remoteId": "H839941",
"ean": "0764502620",
"brand": "Amazon",
"isActive": true,
"isAvailable": true,
"vat": 21.0,
"price": {
"sellingPrice": 42.0,
"buyPrice": 42.0,
"forcedPrice": 42.0,
"salePrice": 42.0,
"currency": "CZK",
"strategies": [
{
"remoteId": "H1234443",
"productSetId": 1234,
"pricingStrategy": [
{
"price": 129.0,
"minimalPrice": 99.0,
"currency": "CZK",
"connectorId": "mallCz"
}
]
}
]
},
"images": [
{
"id": 42.0,
"imageType": "basic_image",
"source": "https://image.eshop.cz/1.jpg",
"isMain": false,
"isActive": true,
"ranking": 2
}
],
"categories": [
{
"source": [
{
"title": "Domácnost a zahrada",
"slug": "domacnost-a-zahrada",
"remoteId": 123
}
]
}
],
"translations": [
{
"languageCode": "cs_CZ",
"title": "Produkt v češtině",
"shortDescription": "Popis v češtině",
"description": "Dlouhý popis v češtině",
"keywords": "Klíčová slova v češtině",
"safetyInfo": "Bezpečnostní pokyny v češtině"
}
],
"parameters": [
{
"decidesVariant": true,
"languageCode": "cs_CZ",
"paramName": "Barva",
"paramValues": [
"Černá",
"Fialová"
]
}
],
"stock": [
{
"availableStock": 2.0,
"inOurWarehouseAvailableStock": 3.0,
"realStock": 5.0,
"strategies": [
{
"stock": 4.0,
"connectorId": "mallCz"
}
]
}
],
"deliveryDelay": 42,
"weight": "1.2",
"width": "30.2",
"height": "40.3",
"length": "50.1",
"packageType": "M",
"packageSize": "smallbox"
}
Response examples (200)
{
"productSetId": 42,
"itemgroupId": "string",
"currency": "CZK",
"remoteId": "H839941",
"ean": "0764502620",
"brand": "Amazon",
"isActive": true,
"isAvailable": true,
"vat": 21.0,
"price": {
"sellingPrice": 42.0,
"buyPrice": 42.0,
"forcedPrice": 42.0,
"salePrice": 42.0,
"currency": "CZK",
"strategies": [
{
"remoteId": "H1234443",
"productSetId": 1234,
"pricingStrategy": [
{
"price": 129.0,
"minimalPrice": 99.0,
"currency": "CZK",
"connectorId": "mallCz"
}
]
}
]
},
"images": [
{
"id": 42.0,
"imageType": "basic_image",
"source": "https://image.eshop.cz/1.jpg",
"isMain": false,
"isActive": true,
"ranking": 2
}
],
"categories": [
{
"source": [
{
"title": "Domácnost a zahrada",
"slug": "domacnost-a-zahrada",
"remoteId": 123
}
]
}
],
"translations": [
{
"languageCode": "cs_CZ",
"title": "Produkt v češtině",
"shortDescription": "Popis v češtině",
"description": "Dlouhý popis v češtině",
"keywords": "Klíčová slova v češtině",
"safetyInfo": "Bezpečnostní pokyny v češtině"
}
],
"parameters": [
{
"decidesVariant": true,
"languageCode": "cs_CZ",
"paramName": "Barva",
"paramValues": [
"Černá",
"Fialová"
]
}
],
"stock": [
{
"availableStock": 2.0,
"inOurWarehouseAvailableStock": 3.0,
"realStock": 5.0,
"strategies": [
{
"stock": 4.0,
"connectorId": "mallCz"
}
]
}
],
"deliveryDelay": 42,
"weight": "1.2",
"width": "30.2",
"height": "40.3",
"length": "50.1",
"packageType": "M",
"packageSize": "smallbox"
}